package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DrichAdesionePfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1311793311L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdRichAdesionePf;

	private StringFilter codiRichiestaAdesione;

	private LocalDateFilter dataRichiestaAdesione;

	private LongFilter fkPianoFerie;

	private LongFilter fkStatoRichAdesione;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER
	private String theDstatiRichAdesionePfObjectKey;
	private String theDpianiFerieObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdRichAdesionePf
	 */
	public LongFilter getSequIdRichAdesionePf() {
		return this.sequIdRichAdesionePf;
	}

	/**
	 * @param sequIdRichAdesionePf to set
	 */
	public void setSequIdRichAdesionePf(LongFilter sequIdRichAdesionePf) {
		this.sequIdRichAdesionePf = sequIdRichAdesionePf;
	}

	/**
	 * @return the codiRichiestaAdesione
	 */
	public StringFilter getCodiRichiestaAdesione() {
		return this.codiRichiestaAdesione;
	}

	/**
	 * @param codiRichiestaAdesione to set
	 */
	public void setCodiRichiestaAdesione(StringFilter codiRichiestaAdesione) {
		this.codiRichiestaAdesione = codiRichiestaAdesione;
	}

	/**
	 * @return the dataRichiestaAdesione
	 */
	public DateFilter getDataRichiestaAdesione() {
		return this.dataRichiestaAdesione;
	}

	/**
	 * @param dataRichiestaAdesione to set
	 */
	public void setDataRichiestaAdesione(DateFilter dataRichiestaAdesione) {
		this.dataRichiestaAdesione = dataRichiestaAdesione;
	}

	/**
	 * @return the fkPianoFerie
	 */
	public LongFilter getFkPianoFerie() {
		return this.fkPianoFerie;
	}

	/**
	 * @param fkPianoFerie to set
	 */
	public void setFkPianoFerie(LongFilter fkPianoFerie) {
		this.fkPianoFerie = fkPianoFerie;
	}

	/**
	 * @return the fkStatoRichAdesione
	 */
	public LongFilter getFkStatoRichAdesione() {
		return this.fkStatoRichAdesione;
	}

	/**
	 * @param fkStatoRichAdesione to set
	 */
	public void setFkStatoRichAdesione(LongFilter fkStatoRichAdesione) {
		this.fkStatoRichAdesione = fkStatoRichAdesione;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDstatiRichAdesionePfObjectKey() {
		return theDstatiRichAdesionePfObjectKey;
	}

	public void setTheDstatiRichAdesionePfObjectKey(String theDstatiRichAdesionePfObjectKey) {
		this.theDstatiRichAdesionePfObjectKey = theDstatiRichAdesionePfObjectKey;
	}

	public String getTheDpianiFerieObjectKey() {
		return theDpianiFerieObjectKey;
	}

	public void setTheDpianiFerieObjectKey(String theDpianiFerieObjectKey) {
		this.theDpianiFerieObjectKey = theDpianiFerieObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
